/**
 * Example JS module
 */

import { CANDESCENT_CONTROLS } from './controls.js';
import { CANDESCENT_DATA } from './data/load.js';

class CandescentJSHandler {
	constructor() {
		const systemSettingDark = window.matchMedia("(prefers-color-scheme: dark)");
		this.settings = [];
		this.darkTheme = (systemSettingDark.matches) ? true : false;
		jQuery('.candescent__widget-button[data-function]').each((index, element) => {
			var button = jQuery(element);
			var functionName = button.attr('data-function');
			var currentValue = button.attr('data-value');
			var preload = button.attr('data-preload');
			if (preload === "true" && localStorage.getItem("candescent-"+functionName) !== null) {
				currentValue = localStorage.getItem("candescent-"+functionName);
				button.attr('data-value', currentValue)
			}
			this.settings[functionName] = {
				name: button.attr('data-name'),
				function: functionName,
				value: currentValue,
				values: button.attr('data-values'),
			};
		});
		console.log(this.settings);

	}
	updateValue(functionName, value) {
		if (this.settings[functionName]) {
			localStorage.setItem("candescent-"+functionName, value);
			this.settings[functionName]['value'] = value;
		}
		// console.log(this.settings);
	}
}

export var CANDESCENT = {
	init: function () {
		var candescentSettings = new CandescentJSHandler();
		CANDESCENT_DATA.init(candescentSettings);
		CANDESCENT_CONTROLS.init(candescentSettings);
		console.log('Candescent Plugin Initiated');
		console.log(candescentSettings);
	}
}