<?php

function check_post_blocks()
{

	global $post;

	//Get all the blocks on this post.
	$blocks = parse_blocks($post->post_content);

	//Loop blocks
	foreach ($blocks as $block) { 
		
		if (empty($block['blockName'])) {
			continue;
		} ?>

		<div class="block">
			
			<h5><?=$block['blockName']?></h5>

			<?php 
			//Get block's html output.
			$block_content = apply_filters('the_content', render_block($block));

			$dom = new DOMDocument;
			$dom->loadHTML($block_content);
			$elements = $dom->getElementsByTagName('*');
			foreach ($elements as $element) {

				if (($element->nodeName === 'html') || ($element->nodeName === 'body')) {
					continue;
				} ?>

				<div class="element">
					<h6><?=$element->nodeName?></h6>
					<div class="attributes"> <?php
						foreach ($element->attributes as $attribute) { ?>
							<p><?=$attribute->name?>=<?=$attribute->value?></p>
						<?php } ?>
					</div>
				</div>

			<?php } ?>

		</div>

	<?php }
}
